Gecode::Search::Par::CollectAll Class Reference

Collect all solutions. More...

`#include <pbs.hh>`

## Public Member Functions

| CollectAll (void)
| Initialize.
bool | add (Space *s, Slave< CollectAll > *r)
| Add a solution a reported by r and always return true.
bool | constrain (const Space &b)
| Dummy function.
bool | empty (void) const
| Check whether there is any solution left.
Space * | get (Slave< CollectAll > *&r)
| Return solution reported by r.
| ~CollectAll (void)
| Destructor.

## Static Public Attributes

static const bool | best = false
| Whether it collects best solutions.

## Protected Attributes

Support::DynamicQueue< Space *, Heap > | solutions
| Queue of solutions.

## Detailed Description

Collect all solutions.

Definition at line 91 of file pbs.hh.

## Constructor & Destructor Documentation

## CollectAll()

Gecode::Search::Par::CollectAll::CollectAll | ( | void |  | ) |

inline

Initialize.

Definition at line 40 of file pbs.hpp.

## ~CollectAll()

Gecode::Search::Par::CollectAll::~CollectAll | ( | void |  | ) |

inline

Destructor.

Definition at line 61 of file pbs.hpp.

## Member Function Documentation

## add()

bool Gecode::Search::Par::CollectAll::add | ( | Space * | s,
|  | Slave< CollectAll > * | r )

inline

Add a solution a reported by r and always return true.

Definition at line 43 of file pbs.hpp.

## constrain()

bool Gecode::Search::Par::CollectAll::constrain | ( | const Space & | b | ) |

inline

Dummy function.

Definition at line 48 of file pbs.hpp.

## empty()

bool Gecode::Search::Par::CollectAll::empty | ( | void |  | ) | const

inline

Check whether there is any solution left.

Definition at line 53 of file pbs.hpp.

## get()

Space * Gecode::Search::Par::CollectAll::get | ( | Slave< CollectAll > *& | r | ) |

inline

Return solution reported by r.

Definition at line 57 of file pbs.hpp.

## Member Data Documentation

## solutions

Support::DynamicQueue<Space*,Heap> Gecode::Search::Par::CollectAll::solutions

protected

Queue of solutions.

Definition at line 94 of file pbs.hh.

## best

const bool Gecode::Search::Par::CollectAll::best = false

static

Whether it collects best solutions.

Definition at line 97 of file pbs.hh.

The documentation for this class was generated from the following files:

- gecode/search/par/pbs.hh
- gecode/search/par/pbs.hpp